#### Measurements package ####
###############################


### Description:
	

	- the recording of the bag files uses robot_topics.yml, where the topics of interest may be modifed. e.g. joint states(containing position,velocities, accelerations as well as effort) and the controller state(containing actual and desired position,velocities,accelerations), but other topics may come in handy as well such as temperatures etc.


# Available nodes:

	- joints_goal_record.cpp : used when the movement of the robot is given (in a csv) in values for all 6 joints. Execution is prompted for each state of joints (line of csv) separately. Ideal for fewer iterations, with different values for the joints and bigger differences(distances, angles) between desired states (lines of csv). Uses only the movegroup interface.

	- motion_planning_record.cpp : used when the movement of the joints are given in a big vector of values over time. Uses motion planning api, takes more time to plan, depending on the samples number. Execution is prompted only once, after all the planning has been done. The code can be fit for one or more joints to move, if necessary. Ideal when a specific trajectory is known for the joints and that trajectory has been sampled, so differences between joint states (csv lines) are very small.

	- endeff_goal_record.cpp : used when the values over time given in the csv describe the end-effector movement in its own frame. Uses movegroup interface after the planning is done as a cartesian path.
		
	- velocities_command_record.cpp : node that records in different bagfiles each movement with a different velocity. The node starts its actions immediately, no moveit and rviz implied. The command is given through joint-group-vel-controller, which gives directly a velocity command, the movement of the robot is determined by the velocity and end angle (have to be the same sign). The csv file contains a start position, velocity, angle and number of repetitions.

	- velocities_command_record_profile.cpp : node that records in a bagfile each movement with a velocity profile(e.g. sine wave). Different csv files will have different bag outputs. The node starts its actions immediately, no moveit and rviz implied. The command is given through joint-group-vel-controller, which gives directly a velocity command, the movement of the robot is determined by the time and velocity. One csv file contains values for the time and velocity at each step. 




### Requirements:

	- csv files with values depending on the node run. All values are in radians, double format and with no headers.
	
   

